> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774829655.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query executed orders

> The endpoint retrieves order history.

<Warning>
Rate limit: 12000 requests/10 sec.
</Warning>




## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/trade-account/order/history
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/trade-account/order/history:
    post:
      tags:
        - Spot Trading
      summary: Query executed orders
      description: |
        The endpoint retrieves order history.

        <Warning>
        Rate limit: 12000 requests/10 sec.
        </Warning>
      operationId: getOrderHistory
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                market:
                  type: string
                  example: BTC_USDT
                offset:
                  type: integer
                  default: 0
                  example: 0
                limit:
                  type: integer
                  default: 50
                  example: 50
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
      responses:
        '200':
          description: >-
            Successful response - returns order history grouped by market. Empty
            response if order is not yours.
          content:
            application/json:
              schema:
                type: object
                description: >-
                  Object with market names as keys, each containing an array of
                  orders
                additionalProperties:
                  type: array
                  items:
                    type: object
                    properties:
                      amount:
                        type: string
                        description: Trade amount
                        example: '0.0009'
                      price:
                        type: string
                        description: Order price
                        example: '40000'
                      type:
                        type: string
                        description: Order type
                        example: limit
                      id:
                        type: integer
                        description: Order identifier
                        example: 4986126152
                      client_order_id:
                        type: string
                        description: Custom order identifier. Empty string if not specified
                        example: customId11
                      side:
                        type: string
                        description: Order side
                        enum:
                          - buy
                          - sell
                        example: sell
                      ctime:
                        type: number
                        description: Timestamp of order creation
                        example: 1597486960.311311
                      takerFee:
                        type: string
                        description: >-
                          Taker fee ratio. If the number less than 0.0001 -
                          rounded to zero
                        example: '0.001'
                      ftime:
                        type: number
                        description: Executed order timestamp
                        example: 1597486960.311332
                      makerFee:
                        type: string
                        description: >-
                          Maker fee ratio. If the number less than 0.0001 -
                          rounded to zero
                        example: '0.001'
                      deal_fee:
                        type: string
                        description: Paid fee when order is finished
                        example: '0.041258268'
                      deal_stock:
                        type: string
                        description: Amount in stock currency that finished
                        example: '0.0009'
                      deal_money:
                        type: string
                        description: Amount in money currency that finished
                        example: '41.258268'
                      postOnly:
                        type: boolean
                        description: Post-only flag
                        example: false
                      ioc:
                        type: boolean
                        description: Immediate or cancel flag
                        example: false
                      status:
                        type: string
                        description: Order status
                        example: CANCELED
                      feeAsset:
                        type: string
                        description: Fee asset
                        example: USDT
                      stp:
                        type: string
                        description: Self trade prevention mode
                        example: 'no'
                      rpi:
                        type: boolean
                        description: Retail Price Improvement flag
                        example: false
              example:
                BTC_USDT:
                  - amount: '0.0009'
                    price: '40000'
                    type: limit
                    id: 4986126152
                    client_order_id: customId11
                    side: sell
                    ctime: 1597486960.311311
                    takerFee: '0.001'
                    ftime: 1597486960.311332
                    makerFee: '0.001'
                    deal_fee: '0.041258268'
                    deal_stock: '0.0009'
                    deal_money: '41.258268'
                    postOnly: false
                    ioc: false
                    status: CANCELED
                    feeAsset: USDT
                    stp: 'no'
                    rpi: false
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````